#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA773_SU1E_AU1E
void F1992_RequestUtilityDiskInDrive(
)
{
        int16_t L5761_;


        L5761_ = 1;
        while (F1991_(0) <= 0) {
                if (L5761_ == 0) {
#ifdef MEDIA772_SU1E
                        F7072_GetDialogChoiceOrdinal(G3755_THAT_S_NOT_THE_CHAOS_STRIKES_BACK_UTILITY_DISK, C08_COLOR_RED | MASK0x8000_INVERT_BOX, G7060_OK, &G2263_s_Input_Dialog1Choice);
#endif
#ifdef MEDIA762_AU1E
                        F7074_DrawDialogErrorMessage(G3755_THAT_S_NOT_THE_CHAOS_STRIKES_BACK_UTILITY_DISK, C08_COLOR_RED | MASK0x8000_UNKNOWN);
#endif
                }
                L5761_ = 0;
#ifdef MEDIA772_SU1E
                F7072_GetDialogChoiceOrdinal(G3756_PLEASE_PUT_THE_CHAOS_STRIKES_BACK_UTILITY_DISK_IN, C15_COLOR_WHITE | MASK0x8000_INVERT_BOX, G7060_OK, &G2263_s_Input_Dialog1Choice);
#endif
#ifdef MEDIA762_AU1E
                F7074_DrawDialogErrorMessage(G3756_PLEASE_PUT_THE_CHAOS_STRIKES_BACK_UTILITY_DISK_IN, C15_COLOR_WHITE | MASK0x8000_UNKNOWN);
#endif
        }
}
#endif
